| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Member Functions | List of all members
stan::math::seq_view< double, std::vector< int > > Class Template Reference

`#include <seq_view.hpp>`

## Public Member Functions
| seq_view (pass_type< std::vector< int > >::type x)
pass_type< double >::type | operator[] (int n) const
int | size () const

## Detailed Description

### template<>
class stan::math::seq_view< double, std::vector< int > >

Definition at line 179 of file seq_view.hpp.

## Constructor & Destructor Documentation

stan::math::seq_view< double, std::vector< int > >::seq_view | ( | pass_type< std::vector< int > >::type | x | ) |
| inline explicit

Definition at line 183 of file seq_view.hpp.

## Member Function Documentation

pass_type<double>::type stan::math::seq_view< double, std::vector< int > >::operator[] | ( | int | n | ) | const
| inline

Definition at line 186 of file seq_view.hpp.

int stan::math::seq_view< double, std::vector< int > >::size | ( |  | ) | const
| inline

Definition at line 189 of file seq_view.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/mat/meta/seq_view.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.